apiVersion: apps/v1
kind: Deployment
metadata:
  name: mysql-helm
spec:
  selector:
    matchLabels:
      app: mysql-helm
  replicas: 1
  template:
    metadata:
      labels:
        app: mysql-helm
    spec:
      containers:
      - env:
        - name: MYSQL_DATABASE
          value: assignment
        - name: MYSQL_PASSWORD
          value: root
        - name: MYSQL_ROOT_PASSWORD
          value: root
        - name: MYSQL_USER
          value: mysql
        image: mysql:5.7
        imagePullPolicy: ""
        resources:
          requests:
            memory: "128Mi"
            cpu: "250m"
          limits:
            memory: "512Mi"
            cpu: "500m"
        name: mysql
        ports:
        - containerPort: 3306
      restartPolicy: Always
      volumes: null